#!/bin/bash
ELASTICSEARCH_API_ROOT="http://localhost:9200/"
LOGSTASH_API_ROOT_TD="http://localhost:9604"

## POST data to Elastic search
# KYPO portal events
if [ ! -z "$1" ]
then
	cd "$1"
	for FILE in training_definition-id*.json
	do
	  TD_FILE_CONTENT=`cat $FILE`
	  curl -X POST -d "$TD_FILE_CONTENT" "${LOGSTASH_API_ROOT_TD}" -H 'Content-Type: application/json'
	done
else
    echo "KYPO PORTAL EVENTS DIRECTORY WAS NOT PROVIDED."
fi
